#!/usr/bin/env python3
# -*- coding: utf-8 -*-

docs = {
    "19.004":
        ["ГОСТ 19.004-80. "
         "Единая система программной документации (ЕСПД). "
         "Термины и определения",
         "http://www.swrit.ru/doc/espd/19.004-80.pdf"],
    "19.101":
        ["ГОСТ 19.101-77. "
         "Единая система программной документации (ЕСПД). "
         "Виды программ и программных документов",
         "http://www.swrit.ru/doc/espd/19.101-77.pdf"],
    "9126":
        ["ГОСТ Р ИСО/МЭК 9126-93. "
         "Оценка программной продукции. "
         "Характеристики качества и руководства по их применению",
         "https://docs.cntd.ru/document/1200009076"],
    "9241-161":
        ["ГОСТ Р ИСО 9241-161-2016. "
         "Эргономика взаимодействия человек-система. Часть 161. "
         "Элементы графического пользовательского интерфейса",
         "http://docs.cntd.ru/document/1200141126"],
    "12207":
        ["ГОСТ Р ИСО/МЭК 12207-99. "
         "Процессы жизненного цикла программных средств",
         "https://docs.cntd.ru/document/1200009075"],
    "15971":
        ["ГОСТ 15971-90. "
         "Системы обработки информации. "
         "Термины и определения",
         "http://docs.cntd.ru/document/gost-15971-90"],
    "18421":
        ["ГОСТ 18421-93. "
         "Аналоговая и аналого-цифровая вычислительная техника. "
         "Термины и определения",
         "http://docs.cntd.ru/document/gost-18421-93"],
    "19781":
        ["ГОСТ 19781-90. "
         "Обеспечение систем обработки информации программное. "
         "Термины и определения",
         "http://docs.cntd.ru/document/gost-19781-90"],
    "20886":
        ["ГОСТ 20886-85. "
         "Организация данных в системах обработки данных. "
         "Термины и определения",
         "http://docs.cntd.ru/document/gost-20886-85"],
    "24402":
        ["ГОСТ 24402-88. "
         "Телеобработка данных и вычислительные сети. "
         "Термины и определения",
         "http://docs.cntd.ru/document/gost-24402-88"],
    "25868":
        ["ГОСТ 25868-91. "
         "Оборудование периферийное систем обработки информации. "
         "Термины и определения",
         "http://docs.cntd.ru/document/gost-25868-91"],
    "28397":
        ["ГОСТ 28397-89. "
         "Языки программирования. "
         "Термины и определения",
         "http://docs.cntd.ru/document/gost-28397-89"],
    "28806":
        ["ГОСТ 28806-90. "
         "Качество программных средств. "
         "Термины и определения",
         "http://docs.cntd.ru/document/gost-28806-90"],
    # Неполный
    "34.003":
        ["ГОСТ 34.003-90. "
         "Автоматизированные системы. "
         "Термины и определения",
         "https://docs.cntd.ru/document/1200006979"],
    "51189":
        ["ГОСТ Р 51189-98. "
         "Программные средства систем вооружения. "
         "Порядок разработки",
         "https://docs.cntd.ru/document/1200027445"],
    "54593":
        ["ГОСТ Р 54593-2011. "
         "Информационные технологии (ИТ). "
         "Свободное программное обеспечение. Общие положения",
         "http://docs.cntd.ru/document/gost-r-54593-2011"],
    "56939":
        ["ГОСТ-Р 56939-2016. "
         "Защита информации. "
         "Разработка безопасного программного обеспечения",
         "https://docs.cntd.ru/document/1200135525"],
    "nsd1992-03-30":
        ["Руководящий документ. "
         "Автоматизированные системы. "
         "Защита от несанкционированного доступа к информации. "
         "Классификация автоматизированных систем и требования по защите информации",
         "https://fstec.ru/component/attachments/download/296"],
}

for key, value in docs.items():
    f = key + ".txt"
    print(f)
    with open(f) as my_file:
        for line in my_file:
            str = line.split("\t")
            if(len(str) == 3):
                print(str[0])
                print("\t[m1]([p]англ.[/p] [i]{0}[/i]) - {1}[/m]".format(
                    str[1].replace("en ", ""), str[2].strip()))
                print("\t[m1][i]{0}[/i][/m]".format(value[0]))
                print("\t[m1][url]{0}[/url][/m]".format(value[1]))
                print("")
